# Copyright (c) 2015, JINGROW and Contributors
# License: MIT. See LICENSE
import jingrow
from jingrow.tests.utils import JingrowTestCase

test_records = jingrow.get_test_records("Page")


class TestPage(JingrowTestCase):
	def test_naming(self):
		self.assertRaises(
			jingrow.NameError,
			jingrow.get_pg(dict(pagetype="Page", page_name="PageType", module="Core")).insert,
		)
